/* tslint:disable:no-unused-variable */
import { CheckboxComponent } from './checkbox.component';

export class MockInjector {
  get = jest.fn();
}

// tslint:disable-next-line: max-classes-per-file
export class MockChangeDetectorRef {
  markForCheck = jest.fn();
  detach = jest.fn();
  detectChanges = jest.fn();
  reattach = jest.fn();
  checkNoChanges = jest.fn();
}

describe('CheckboxComponent', () => {
  let component: CheckboxComponent;
  it('should create', () => {
    component = new CheckboxComponent(new MockInjector(), new MockChangeDetectorRef());
    expect(component).toBeTruthy();
  });
});
